import { IconName } from "@/types/components/icon"
import {
  PointOfInterestCategoryNameEnum,
  PointOfInterestGroupEnum,
} from "@/types/hotel"

export function getIconByPoiGroupAndCategory(
  group: PointOfInterestGroupEnum,
  category?: PointOfInterestCategoryNameEnum
) {
  switch (group) {
    case PointOfInterestGroupEnum.PUBLIC_TRANSPORT:
      return category === PointOfInterestCategoryNameEnum.AIRPORT
        ? IconName.Airplane
        : IconName.Train
    case PointOfInterestGroupEnum.ATTRACTIONS:
      return category === PointOfInterestCategoryNameEnum.MUSEUM
        ? IconName.Museum
        : IconName.Camera
    case PointOfInterestGroupEnum.BUSINESS:
      return IconName.Business
    case PointOfInterestGroupEnum.PARKING:
      return IconName.Parking
    case PointOfInterestGroupEnum.SHOPPING_DINING:
      return IconName.Shopping
    case PointOfInterestGroupEnum.LOCATION:
    default:
      return IconName.Location
  }
}
